## ldns 1.7.0

=== debian/changelog ===
ldns (1.7.0-4.1ubuntu1) focal; urgency=medium

  * Merge from Debian. Remaining changes:
    - Build-Depend on python-all-dev.

 -- William Grant <wgrant@ubuntu.com>  Mon, 13 Apr 2020 11:12:45 +1000

ldns (1.7.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use upstream patch to fix FTBFS with SWIG 4.0 (Closes: #951899)

 -- Ivo De Decker <ivodd@debian.org>  Fri, 20 Mar 2020 13:39:43 +0000

ldns (1.7.0-4ubuntu1) focal; urgency=medium

  * Build-depend on python-all-dev.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 13:55:18 +0100

ldns (1.7.0-4build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:33:00 +0000

ldns (1.7.0-4) unstable; urgency=medium

  * Fix invalid maintainer (Closes: #899938)
  * Add two upstream patches to address security issues:
   + CVE-2017-1000231: Memory corruption in ldns_rr_new_frm_fp_l
     (Closes: #882015)
   + CVE-2017-1000232: Memory corruption in ldns_str2rdf_long_str
     (Closes: #882014)
  * Bump debhelper compat to v12
  * Update the Vcs-* links to salsa.d.o
  * Bump the policy to the latest version (no change)
  * Add upstream Homepage link to d/control
  * Disable GOST and enable Ed25519 algorithm (see draft-wouters-sury-dnsop-algorithm-update)

 -- Ondřej Surý <ondrej@debian.org>  Sun, 10 Mar 2019 21:56:02 +0000

ldns (1.7.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Don't build-depend on python3-all-dev, the build rules don't handle
    multiple versions of python3 correctly.  Closes: #904038
    Thanks to Steve Langasek <steve.langasek@canonical.com> for the patch.
  * Enable parallel building.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 27 Sep 2018 10:36:04 +0200

ldns (1.7.0-3) unstable; urgency=medium

  * Build depend on OpenSSL >= 1.1.0 to support offline DANE verification

 -- Ondřej Surý <ondrej@debian.org>  Fri, 23 Jun 2017 10:12:00 +0200

ldns (1.7.0-2) unstable; urgency=medium

  [ Christoph Egger ]
  * Add python3 bindings

 -- Ondřej Surý <ondrej@debian.org>  Mon, 19 Jun 2017 10:38:39 +0200

ldns (1.7.0-1) unstable; urgency=medium

  * Imported Upstream version 1.7.0
  * Use --enable-gost-anyway to enable GOST even when not available at compile time

 -- Ondřej Surý <ondrej@debian.org>  Wed, 21 Dec 2016 13:12:52 +0100

ldns (1.7.0~rc3-1) unstable; urgency=medium

  * Imported Upstream version 1.7.0~rc3
  * Upload to unstable

 -- Ondřej Surý <ondrej@debian.org>  Sat, 17 Dec 2016 10:36:30 +0100

ldns (1.7.0~rc1-0~exp1) experimental; urgency=medium

  * Imported Upstream version 1.7.0~rc1
  * Rebase patches on top of 1.7.0~rc1 release
  * Remove debuild build files from repository
  * Update packaging for libldns.so.2 transition
  * Enable full hardening and symbols check
  * Update libldns.so.2 symbols

 -- Ondřej Surý <ondrej@debian.org>  Fri, 02 Dec 2016 18:45:42 +0100

ldns (1.6.17-10) unstable; urgency=medium

  [ A. Schulze ]
  * experimental support openssl-1.1.x (Closes: #828377)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 27 Oct 2016 16:53:07 +0200

ldns (1.6.17-9) unstable; urgency=medium

  * Add ldns_resolver_clone function needed by libnet-ldns-perl

 -- Ondřej Surý <ondrej@debian.org>  Tue, 28 Jun 2016 13:11:24 +0200
