=== debian/control ===
Source: ldns
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian DNS Team <team+dns@tracker.debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>
Build-Depends: chrpath,
               debhelper-compat (= 12),
               dh-python,
               doxygen,
               libpcap-dev,
               libssl-dev (>= 1.1.0),
               pkg-config,
               python-all-dev,
               python3-dev,
               swig
Standards-Version: 4.3.0.3
Section: net
Vcs-Browser: https://salsa.debian.org/dns-team/ldns
Vcs-Git: https://salsa.debian.org/dns-team/ldns.git
Homepage: https://www.nlnetlabs.nl/projects/ldns/about/

Package: libldns2
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: ldns library for DNS programming
 The goal of ldns is to simplify DNS programming, it supports recent RFCs
 like the DNSSEC documents, and allows developers to easily create software
 conforming to current RFCs, and experimental software for current Internet
 Drafts.
 .
 This package contains shared libraries.

Package: libldns-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libldns2 (= ${binary:Version}),
         libssl-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: ldns library for DNS programming
 The goal of ldns is to simplify DNS programming, it supports recent RFCs
 like the DNSSEC documents, and allows developers to easily create software
 conforming to current RFCs, and experimental software for current Internet
 Drafts.
 .
 This package contains development libraries and headers.

Package: ldnsutils
Section: net
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: ldns library for DNS programming
 The goal of ldns is to simplify DNS programming, it supports recent RFCs
 like the DNSSEC documents, and allows developers to easily create software
 conforming to current RFCs, and experimental software for current Internet
 Drafts.
 .
 This package contains various client programs related to DNS that are
 based on top of libldns library and DRILL tool which is similar to dig.
 These tools were designed with DNSSEC in mind and are useful for DNS
 and DNSSEC testing and debugging.

Package: python-ldns
Section: python
Architecture: any
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Provides: ${python:Provides}
Multi-Arch: foreign
Description: Python bindings for the ldns library for DNS programming
 The goal of ldns is to simplify DNS programming, it supports recent RFCs
 like the DNSSEC documents, and allows developers to easily create software
 conforming to current RFCs, and experimental software for current Internet
 Drafts.
 .
 This archive contains modules that allow you to use LDNS Library in
 Python programs.

Package: python3-ldns
Section: python
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Provides: ${python3:Provides}
Multi-Arch: foreign
Description: Python3 bindings for the ldns library for DNS programming
 The goal of ldns is to simplify DNS programming, it supports recent RFCs
 like the DNSSEC documents, and allows developers to easily create software
 conforming to current RFCs, and experimental software for current Internet
 Drafts.
 .
 This archive contains modules that allow you to use LDNS Library in
 Python3 programs.
