=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# enable dpkg build flags
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

PYVERS=$(shell pyversions -vd) $(shell py3versions -vd)

CONFIGFLAGS=--disable-rpath --enable-gost --enable-gost-anyway --enable-ed25519 --disable-ldns-config

%:
	dh $@ --with python2 --with python3

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGFLAGS) --with-examples --with-drill
	for pyvers in $(PYVERS); do \
		PYTHON_VERSION=$$pyvers dh_auto_configure -B build/python-$$pyvers -- $(CONFIGFLAGS) --with-pyldns; \
		done

override_dh_auto_build:
	dh_auto_build
	dh_auto_build -- doc
	for pyvers in $(PYVERS); do \
		dh_auto_build -B build/python-$$pyvers;\
		done

override_dh_auto_install:
	dh_auto_install
	dh_auto_install -- install-doc
	for pyvers in $(PYVERS); do \
		dh_auto_install -B build/python-$$pyvers;\
		done

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build/

override_dh_strip:
	dh_strip -O--dbgsym-migration='libldns1-dbg (<< 1.7.0~)'

override_dh_install:
	install -d -m 755 $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/
	install -m 644 packaging/libldns.pc $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/
	dh_install -X.la -X_ldns.a

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_test:
# tests in Makefile.in are not distributed
	:
