## ldns 1.7.1

=== debian/changelog ===
ldns (1.7.1-2ubuntu4) jammy; urgency=medium

  * d/p/lp-1966237-Fix-131-Compile-with-fno-strict-aliasing.patch: fix
    wrong results in sha256 (LP: #1966237)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Fri, 25 Mar 2022 10:10:41 +0100

ldns (1.7.1-2ubuntu3) jammy; urgency=medium

  * Check success of distutils import by return code rather
    than by stderr to avoid FTBFS with Python 3.10

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 26 Jan 2022 14:12:06 +0000

ldns (1.7.1-2ubuntu2) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 19:30:47 +0000

ldns (1.7.1-2ubuntu1) jammy; urgency=medium

  * d/p/OpenSSL3.patch: cherry-pick an upstream patch to fix the build
    against OpenSSL 3.0

 -- Simon Chopin <simon.chopin@canonical.com>  Wed, 08 Dec 2021 11:07:45 +0100

ldns (1.7.1-2build2) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Mon, 29 Nov 2021 13:43:40 +0100

ldns (1.7.1-2build1) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as default.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Nov 2020 18:32:53 +0100

ldns (1.7.1-2) unstable; urgency=low

  * Team upload.
  * Upload to unstable.

 -- Santiago Ruano Rincón <santiago@debian.org>  Wed, 24 Jun 2020 14:08:19 +0200

ldns (1.7.1-1) experimental; urgency=low

  * Team upload.
  * New upstream version 1.7.1
    - Fixes: libldns2: CDS/CDNSKEY RRs are signed with ZSK instead of KSK
      (Closes: #945324)
  * Remove no longer needed patches:
    - 0002-Check-parse-limit-before-t-increment.patch
    - 0003-bugfix-1257-Free-after-reallocing-to-0-size.patch
    - swig4.0-support-from-jitka-plesnkov.patch
  * Stop building python-ldns (Closes: #936832)
  * Add Makefile-remove-install-libldns-pc.patch to avoid FTBFS
  * Bump soname. Rename libldns2 to libldns3
  * Update and rename libldns3.symbols
  * Add debian/salsa-ci.yml
  * Fix FTCBFS: Multiarchify python Build-Depends. (Closes: #929578)
    Patch by Helmut Grohne <helmut@subdivi.de>
  * Specify Rules-Requires-Root: no
  * Bump debhelper-compat to v13

 -- Santiago Ruano Rincón <santiago@debian.org>  Wed, 03 Jun 2020 23:02:22 +0200
