=== debian/control ===
--- 
+++ 
@@ -4,22 +4,23 @@
 XSBC-Original-Maintainer: Debian DNS Team <team+dns@tracker.debian.org>
 Uploaders: Ondřej Surý <ondrej@debian.org>
 Build-Depends: chrpath,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-python,
                doxygen,
                libpcap-dev,
+               libpython3-dev,
                libssl-dev (>= 1.1.0),
                pkg-config,
-               python-all-dev,
-               python3-dev,
+               python3-dev:any,
                swig
 Standards-Version: 4.3.0.3
+Rules-Requires-Root: no
 Section: net
 Vcs-Browser: https://salsa.debian.org/dns-team/ldns
 Vcs-Git: https://salsa.debian.org/dns-team/ldns.git
 Homepage: https://www.nlnetlabs.nl/projects/ldns/about/
 
-Package: libldns2
+Package: libldns3
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -37,7 +38,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libldns2 (= ${binary:Version}),
+Depends: libldns3 (= ${binary:Version}),
          libssl-dev,
          ${misc:Depends},
          ${shlibs:Depends}
@@ -66,23 +67,6 @@
  These tools were designed with DNSSEC in mind and are useful for DNS
  and DNSSEC testing and debugging.
 
-Package: python-ldns
-Section: python
-Architecture: any
-Depends: ${misc:Depends},
-         ${python:Depends},
-         ${shlibs:Depends}
-Provides: ${python:Provides}
-Multi-Arch: foreign
-Description: Python bindings for the ldns library for DNS programming
- The goal of ldns is to simplify DNS programming, it supports recent RFCs
- like the DNSSEC documents, and allows developers to easily create software
- conforming to current RFCs, and experimental software for current Internet
- Drafts.
- .
- This archive contains modules that allow you to use LDNS Library in
- Python programs.
-
 Package: python3-ldns
 Section: python
 Architecture: any
