=== debian/rules ===
--- 
+++ 
@@ -11,12 +11,12 @@
 
 export DPKG_GENSYMBOLS_CHECK_LEVEL=4
 
-PYVERS=$(shell pyversions -vd) $(shell py3versions -vd)
+PYVERS=$(shell py3versions -vd)
 
 CONFIGFLAGS=--disable-rpath --enable-gost --enable-gost-anyway --enable-ed25519 --disable-ldns-config
 
 %:
-	dh $@ --with python2 --with python3
+	dh $@ --with python3
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(CONFIGFLAGS) --with-examples --with-drill
