## ldns 1.8.1

=== debian/changelog ===
ldns (1.8.1-1) unstable; urgency=medium

  * New upstream version 1.8.1
    Closes: #1008638 (FTBFS with python 3.10 due to distutils check)
    Closes: #1005646 (FTBFS with OpenSSL 3.0)
    Closes: #1009385 (output of ldns-key2ds changes after compiler changes)
    Closes: CVE-2020-19860 (heap buffer overflow in while verifying zone file)
    Closes: CVE-2020-19861 (heap overflow/leakage when reading a zone file)
  * rework the build system, fixing numerous issues:
   - stop overwriting files at install time from different builds
     and ending up using the build with wrong configure options
   - stop running install twice
   - stop removing system-installed files if any on clean
   - stop doing (re)build of everything just for the python build
   - build python bits in the main build and perform extra steps
     only if there's more than one python version to build for
     (this effectively eliminates miltiple builds completely)
   - clarify build with multiple pyversions and why it still fails
   - remove old, now irrelevant, stuff (like overriding options
     which are being in effect anyway, or which has no effect)
   - move variable-based custom install rule for libldns.pc
     into .install file once dh now allows variables in there
   - reduce startup time by eliminating dpkg's default.mk which is slow
   - remove the wrongly-generated staic lib for the python bindings
     (_ldns.{a,la}) in the install rules instead of ignoring them
     in dh_install -X
   - fix add --with-trust-anchor= so it actually works
   - replace dh --with python with Build-Depend: dh-sequence-python3
   - run dh only for supported targets/sequences
  * update symbols file for 1.8 version, adding 6 new symbols
  * remove Makefile-remove-install-libldns-pc.patch
  * update short descriptions of all packages to mention what is
    actually in there instead of being the same for all packages
  * remove Build-Dependes: chrpath & pkg-config (not used)
  * add fix-pyldns-include.patch to fix building pyldns outside source dir
  * d/control: update Stdandards-Version to  4.6.0.1 (no changes)
  * d/watch: rework, simplify, use https, enable pgp signature verification
  * add upstream/signing-key.asc with the followig key:
    E5F8F8212F77A498 "Willem Toorop <willem@nlnetlabs.nl>"
  * remove trailing whitespace from d/changelog
  * add myself to uploaders

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 26 Apr 2022 16:05:17 +0300

ldns (1.7.1-3) unstable; urgency=medium

  * Acknowledge NMU (thanks, Michael Tokarev!)

  [ Robert Edmonds ]

  * debian/rules: Add "--with-trust-anchor=/usr/share/dns/root.key"
    to configure parameters
  * debian/control: Add "Recommends: dns-root-data" to ldnsutils

  [ Daniel Kahn Gillmor ]

  * added myself to uploaders
  * Import upstream patch to fix SHA-256 on GCC 11 (Closes: #1009385)
  * d/watch: update to version 4 (and use https)
  * d/clean: clean up some generated files

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 13 Apr 2022 10:27:03 -0700

ldns (1.7.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * add fix-wrong-python-distutils-configure-check.diff to fix the
    incorrect distutils package check (it should be checking the
    return code not the emptiness of the output). This fixes FTBFS
    with new python (3.10) and allows the python3.10 transition to
    happen, but it is not fixing the actual issiue with ldns using
    distutils which should be addressed later.  Closes: #1008638

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 07 Apr 2022 16:03:29 +0300
