=== debian/control ===
Source: ldns
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian DNS Team <team+dns@tracker.debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>,
           Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
           Michael Tokarev <mjt@tls.msk.ru>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
               dh-sequence-python3,
               doxygen,
               libpcap-dev,
               libpython3-dev,
               libssl-dev (>= 1.1.0),
#              autodep8 bug: #904999
               python3-dev:any | python3-dev,
               swig
Standards-Version: 4.6.0.1
Rules-Requires-Root: no
Section: net
Vcs-Browser: https://salsa.debian.org/dns-team/ldns
Vcs-Git: https://salsa.debian.org/dns-team/ldns.git
Homepage: https://www.nlnetlabs.nl/projects/ldns/about/

Package: libldns3t64
Provides: ${t64:Provides}
Replaces: libldns3
Breaks: libldns3 (<< ${source:Version})
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: ldns library for DNS programming - shared library
 The goal of ldns is to simplify DNS programming, it supports recent RFCs
 like the DNSSEC documents, and allows developers to easily create software
 conforming to current RFCs, and experimental software for current Internet
 Drafts.
 .
 This package contains shared libraries.

Package: libldns-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libldns3t64 (= ${binary:Version}),
         libssl-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: ldns library for DNS programming - development files
 The goal of ldns is to simplify DNS programming, it supports recent RFCs
 like the DNSSEC documents, and allows developers to easily create software
 conforming to current RFCs, and experimental software for current Internet
 Drafts.
 .
 This package contains development libraries and headers.

Package: ldnsutils
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: dns-root-data
Description: ldns library for DNS programming - tools (includes drill tool)
 The goal of ldns is to simplify DNS programming, it supports recent RFCs
 like the DNSSEC documents, and allows developers to easily create software
 conforming to current RFCs, and experimental software for current Internet
 Drafts.
 .
 This package contains various client programs related to DNS that are
 based on top of libldns library and DRILL tool which is similar to dig.
 These tools were designed with DNSSEC in mind and are useful for DNS
 and DNSSEC testing and debugging.

Package: python3-ldns
Section: python
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Provides: ${python3:Provides}
Multi-Arch: foreign
Description: ldns library for DNS programming - Python3 bindings
 The goal of ldns is to simplify DNS programming, it supports recent RFCs
 like the DNSSEC documents, and allows developers to easily create software
 conforming to current RFCs, and experimental software for current Internet
 Drafts.
 .
 This archive contains modules that allow you to use LDNS Library in
 Python3 programs.
