## ldns 1.8.4

=== debian/changelog ===
ldns (1.8.4-2build1) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 12:05:05 +0100

ldns (1.8.4-2) unstable; urgency=medium

  * d/changelog: restore the wrongly modified previous changelog entry date
  * swig-4.3.patch (Closes: #1091117)

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 26 Dec 2024 00:04:32 +0300

ldns (1.8.4-1) unstable; urgency=medium

  * new upstream release
  * d/patches: remove patches applied upstream:
    ldns-rdf-typemap-fixes-for-swig-4.2.0.patch doxygen-in-builddir.patch
  * d/rules: accommodate for changing python paths for _ldns.a
  * d/libldns3t64.symbols: update symbols file
    add 3 new symbols, and REMOVE 3 symbols which are no longer there:
     ldns_edns_set_code ldns_edns_set_data ldns_edns_set_size
    These symbols seems to be internal, previously exported by mistake
  * d/rules: allow parallel build (DEB_BUILD_OPTIONS=parallel=N)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 20 Jul 2024 11:12:30 +0300
