=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: ldns
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian DNS Team <team+dns@tracker.debian.org>
+Maintainer: Debian DNS Team <team+dns@tracker.debian.org>
 Uploaders: Ondřej Surý <ondrej@debian.org>,
            Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
            Michael Tokarev <mjt@tls.msk.ru>
