=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,9 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DPKG_GENSYMBOLS_CHECK_LEVEL=4
+
+# DEB_BUILD_OPTIONS=parallel=N
+PARALLEL = $(subst parallel=,-j,$(filter parallel=%,${DEB_BUILD_OPTIONS}))
 
 # the main python version (single)
 PYVER=$(shell py3versions -vd)
@@ -49,7 +52,7 @@
 		done
 
 override_dh_auto_build:
-	${MAKE} -C build/main all doc
+	${MAKE} -C build/main ${PARALLEL} all doc
 	for pyvers in $(PYVERS); do \
 		${MAKE} -C build/python-$$pyvers pyldns;\
 		done
@@ -60,7 +63,7 @@
 		${MAKE} DESTDIR=${CURDIR}/debian/tmp -C build/python-$$pyvers install-pyldns install-pyldnsx;\
 		done
 	# upstream wrongly builds static library for the python module (.a & .la)
-	rm -fv debian/tmp/usr/lib/python3/dist-packages/_ldns.*a
+	rm -fv debian/tmp/usr/lib/python*/*-packages/_ldns.*a
 
 override_dh_auto_clean:
 	rm -rf build/
